Subject: RE: gnupg-1.0.0 chokes over make
From: varun sharma <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Thu, 30 Sep 1999 01:18:34 -0700 (PDT)

Thanks Suhaib, but no dice. I'm now using GCC 2.95 and

the ipc-daemon - from
http://dods.jpl.nasa.gov/WinPort/binaries/cygwinB20IPC.tar.gz
- is running.

make returns the follg..

Live child 0x0a047428 PID 10412
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../include
-I../intl -g -O2 -Wall -Wcast-align -Wshadow
-Wstrict-prototypes -c rndunix.c -o rndunix.o
In file included from rndunix.c:98:
../include/util.h:198: warning: `stricmp' redefined
/cygnus/CYGWIN~1/H-I586~1/bin/../lib/gcc-lib/i586-cygwin32/2.95/../../../../i586-cygwin32/include/string.h:76:
warning: this is the location of the previous
definition
rndunix.c: In function `start_gatherer':
rndunix.c:652: warning: implicit declaration of
function `signal'
rndunix.c:652: `SIG_DFL' undeclared (first use in this
function)
rndunix.c:652: (Each undeclared identifier is reported
only once
rndunix.c:652: for each function it appears in.)
Got a SIGCHLD; 1 unreaped children.
Live child 0x0a047428 PID 10412
Reaping losing child 0x0a047428 PID 10412
make[2]: *** [rndunix.lo] Error 1
Removing child 0x0a047428 PID 10412 from chain.
Got a SIGCHLD; 1 unreaped children.
Live child 0x0a0399f8 PID 10401
Reaping losing child 0x0a0399f8 PID 10401
make[1]: *** [all-recursive] Error 1
Removing child 0x0a0399f8 PID 10401 from chain.
Got a SIGCHLD; 1 unreaped children.
Live child 0x0a03d2b0 PID 10399
Reaping losing child 0x0a03d2b0 PID 10399
make: *** [all-recursive-am] Error 2
Removing child 0x0a03d2b0 PID 10399 from chain.

Is it related to not having /dev/random ?
- varun

--- "Suhaib M. Siddiqi" <[email-masked]> wrote:
> 
> maybe time to install GCC 2.95?  Are you using gcc
> from 
> B20.1 stock?
> 
> You also need to install IPC for Cygwin.  Do a
> search on
> mail archive you will fine a uRL.  I do not remember
> it.
> 
> Suhaib
> 
> 

__________________________________________________
Do You Yahoo!?
Bid and sell for free at http://auctions.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]